add and fix
[buildscripts] / misc
diff --git a/misc b/misc
new file mode 100755 (executable)
index 0000000..7aba402
--- /dev/null
+++ b/misc
@@ -0,0 +1,32 @@
+#!/bin/bash
+# Copyright (C) 2019 Ian Kelling
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
+if [ -z "$BASH_VERSION" ]; then echo "error: shell is not bash" >&2; exit 1; fi
+
+shopt -s inherit_errexit 2>/dev/null ||: # ignore fail in bash < 4.4
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+# alternatively, using https://iankelling.org/git/?p=errhandle;a=tree
+# source /path/errhandle/err
+# on my machine
+source /a/bin/errhandle/err
+
+# fuck pip. i hate it.
+#   pip install --user -U pip
+# Traceback (most recent call last):
+#   File "/usr/local/bin/pip", line 10, in <module>
+#     sys.exit(main())
+# TypeError: 'module' object is not callable
+# if type -t pip &>/dev/null; then
+#   pip install --user -U pip
+# else
+#   x=$(mktemp)
+#   wget -O$x https://bootstrap.pypa.io/get-pip.py
+#   python3 $x --user
+# fi
+
+# https://github.com/jlebon/textern
+cd /a/opt/textern
+git pull
+make native-install USER=1